package model;

public class Model {

    private BallModel ballModel;

    private long lastFrame; // used to regulate FPS
    private long frameGap; // used to regulate FPS
    private int width;
    private int height;

    public Model(int width, int height) {
        this.width = width;
        this.height = height;
        lastFrame = -1;
        frameGap = 10000000;
        ballModel = new BallModel();
        ballModel.put(100,100);
    }

    public int getWidth() {
        return width;
    }

    public int getHeight() {
        return height;
    }

    public BallModel getBall() {
        return ballModel;
    }

    public void setLastFrame(long lastFrame) {
        this.lastFrame = lastFrame;
    }

    public long getLastFrame() {
        return lastFrame;
    }

    public long getFrameGap() {
        return frameGap;
    }

    public void update() {
        ballModel.update();
    }

    public void resetFlags() {
        ballModel.resetFlags();
    }
}
