package view;

import javafx.scene.layout.*;
import javafx.scene.shape.Rectangle;
import model.Model;

public class View {

    private Model model;
    private Pane rootPane;

    // window related attributes
    private int width;
    private int height;
    // look
    private BallLook ballLook;
    private Rectangle northWall;
    private Rectangle southWall;
    private Rectangle eastWall;
    private Rectangle westWall;

    public View(Model model) {

        this.model = model;
        width = model.getWidth();
        height = model.getHeight();

        ballLook = new BallLook(model.getBall(), 20);

        northWall = new Rectangle(0,0,width, 10);
        southWall = new Rectangle(0,height-10,width, 10);
        westWall = new Rectangle(0,0,10,height);
        eastWall = new Rectangle(width-10,0,10,height);
        rootPane = new Pane();
        rootPane.setPrefSize(width,height);

        rootPane.getChildren().add(ballLook.getBody());
        rootPane.getChildren().addAll(northWall, southWall, eastWall, westWall);
    }

    public int getWidth() {
        return width;
    }

    public int getHeight() {
        return height;
    }

    public Pane getRootPane() {
        return rootPane;
    }

    public BallLook getBallLook() {
        return ballLook;
    }

    public Rectangle getNorthWall() {
        return northWall;
    }

    public Rectangle getSouthWall() {
        return southWall;
    }

    public Rectangle getEastWall() {
        return eastWall;
    }

    public Rectangle getWestWall() {
        return westWall;
    }

    // update the view
    // In this demo, a single look must be updated, those of the ball
    public void update() {
        ballLook.update();
    }
}
